TYPOS3 Core - Task #96140

Epic # 96107 (Resolved): Core v12 deprecation removals

Remove TYPO3\CMS\Core\Utility\GeneralUtility::stdAuthCode
2021-11-29 14:58 - Oliver Bartsch

Status: Resolved Start date: 2021-11-29
Priority: Should have Due date:

Assignee: Oliver Bartsch % Done: 100%
Category: Code Cleanup Estimated time: 0.00 hour
Target version: 12.0

TYPOS3 Version: 12 Complexity:

PHP Version: Sprint Focus:

Tags:

Description

Related issues:

Related to TYPO3 Core - Task #94309: Deprecate GeneralUtility::stdAuthCode Closed 2021-06-11

Associated revisions

Revision 96ac7ba6 - 2021-11-29 23:10 - Oliver Bartsch
[M][TASK] Remove GeneralUtility::stdAuthCode

GeneralUtility::stdAuthCode is unused since at
least v9 and is therefore now removed.

Resolves: #96140

Related: #94309

Releases: main

Change-Id: 1dc68fff1c946e7f2{30645a6a3510d95{8e272bf
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/72375
Tested-by: core-ci <typo3@b13.com>

Tested-by: Nikita Hovratov <nikita.h@live.de>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Benni Mack <benni@typo3.org>

Reviewed-by: Nikita Hovratov <nikita.h@live.de>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Benni Mack <benni@typo3.org>

History

#1 - 2021-11-29 14:58 - Oliver Bartsch
- Related to Task #94309: Deprecate GeneralUtility::stdAuthCode added

#2 - 2021-11-29 15:02 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/72375

#3 - 2021-11-29 15:12 - Gerrit Code Review

Patch set 2 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/72375

#4 - 2021-11-29 15:49 - Gerrit Code Review

Patch set 3 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/72375

#5 - 2021-11-29 23:15 - Oliver Bartsch
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 96ac7ba6c62169f48651ae897505ec8ef9865¢c2e.

#6 - 2021-11-30 09:49 - Oliver Bartsch
- Related to Epic #96107: Core v12 deprecation removals added

#7 - 2021-11-30 09:52 - Oliver Bartsch

- Target version set to 12.0

#8 - 2021-11-30 10:16 - Christian Kuhn
- Parent task set to #96107
